
GammaLib - Action #4069

Add energy scaling to table model

06/22/2022 10:01 PM - Knödlseder Jürgen

Status: Closed Start date: 06/22/2022

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.1.0   

Description

For table model that scale in energy with an energy parameter, an internal rescaling may lead to better interpolation. An energyscale

attribute should be added to the XML model definition that allows specifying of an energy rescaling parameter.

History

#1 - 06/22/2022 10:02 PM - Knödlseder Jürgen

- Target version set to 2.1.0

#2 - 06/23/2022 01:56 PM - Knödlseder Jürgen

- Status changed from New to Pull request

- % Done changed from 0 to 90

I implemented an energy scaling in the table model class that is enabled by adding the energyscale attribute to the XML file.

#3 - 06/23/2022 03:42 PM - Knödlseder Jürgen

- Status changed from Pull request to Closed

- % Done changed from 90 to 100

Merged into devel

Powered by TCPDF (www.tcpdf.org)

04/27/2024 1/1

http://www.tcpdf.org

